#!/bin/bash

#config nginx
cp -rv default_configs/etc/nginx /etc/
ln -sv /etc/nginx/sites-available/nextcloud_nginx.conf /etc/nginx/sites-enabled/

#config php
cp -rv default_configs/etc/php /etc/

#Copy nextcloud to web root
cp -rv nextcloud/* /var/www/html/

# Copy nextcloud config.php
cp -rv default_configs/var/www/html/config/ /var/www/html/

#Create log dirs
mkdir -pv /root/logs/nginx
mkdir -pv /root/logs/php-fpm
mkdir -pv /root/logs/nextcloud

mkdir /tmp/nextcloudtemp
chmod -R 777 /tmp/nextcloudtemp
chown -R www-data:www-data /root/logs/nextcloud/
chown -R www-data:www-data /var/www/html/


touch init/init
